Bug 502101 - Review Request: agedu - An utility for tracking down wasted disk space
Summary: Review Request: agedu - An utility for tracking down wasted disk space
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-21 21:04 UTC by Susi Lehtola
Modified: 2009-06-19 13:37 UTC (History)
4 users (show)

Fixed In Version: 0-1.r8442.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 13:32:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2009-05-21 21:04:36 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/agedu.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/agedu-0-1.r8442.fc10.src.rpm

Upstream URL: http://www.chiark.greenend.org.uk/~sgtatham/agedu/

Description:
Agedu is a program that helps you to track down wasted disk space by creating
a graphical representation of last access times and occupied disk space of
files and directories.

rpmlint output is clean.

Comment 1 David Nalley 2009-05-25 03:32:31 UTC
Jussi: 

I am about to disconnect for the evening and will try and do the balance of this review shortly. However, wanted to give you a heads up on a problem: 

I grabbed source (5 times to make sure it wasn't something upstream) and the md5sum on all 5 of the copies is the same, and doesn't match source included in src.rpm: 

[ke4qqq@nalleyt61 SOURCES]$ md5sum agedu-r8442.tar.gz*
7be87e9a6a8b26a7ef3fe80bc45b6792  agedu-r8442.tar.gz
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.1
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.2
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.3
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.4
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.5


As I said I'll try and have the rest of the review done tomorrow sometime. 

Cheers

Comment 2 Susi Lehtola 2009-05-25 05:58:39 UTC
(In reply to comment #1)
> Jussi: 
> 
> I am about to disconnect for the evening and will try and do the balance of
> this review shortly. However, wanted to give you a heads up on a problem: 
> 
> I grabbed source (5 times to make sure it wasn't something upstream) and the
> md5sum on all 5 of the copies is the same, and doesn't match source included in
> src.rpm: 

That's odd, I did use the upstream tarball. I've redownloaded the source and regenerated the src rpm, be sure to download it again before reviewing.

Comment 3 Greg A 2009-05-28 22:51:19 UTC
I just compiled this today and tested.  It is very cool!  The only issue I've found so far is that using the --html option described in the man page causes a segmentation fault.  This option is something we'd like to use so that we can keep a historical record.  I've emailed the author to see if this is a known issue or not.

Comment 4 David Nalley 2009-05-29 14:25:21 UTC
Review of agedu

REVIEW GUIDELINES

OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyt61 SPECS]$ rpmlint agedu.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/agedu-0-1.r8442.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/x86_64/agedu-
agedu-0-1.r8442.fc10.x86_64.rpm
agedu-debuginfo-0-1.r8442.fc10.x86_64.rpm
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/x86_64/agedu-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
This is effectively a pre-release version and the svn revision is noted after the release notation. 

OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
CHECK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Package released under the MIT license. 
OK: The License field in the package spec file must match the actual license. 
SPEC file reports MIT which agrees with the website, LICENCE file in source, and licence.h
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
FIX: The sources used to build the package must match the upstream source, as provided in the spec URL. 
As noted before this is still a problem
[ke4qqq@nalleyt61 SPECS]$ md5sum ../SOURCES/agedu-r8442.tar.gz*
b237e584844d30d7a8a815aae11e57c1  ../SOURCES/agedu-r8442.tar.gz
1d92b5ac8e5368c9ad7b9be5ecc56cb1  ../SOURCES/agedu-r8442.tar.gz.1
1d92b5ac8e5368c9ad7b9be5ecc56cb1  ../SOURCES/agedu-r8442.tar.gz.2
1d92b5ac8e5368c9ad7b9be5ecc56cb1  ../SOURCES/agedu-r8442.tar.gz.3
1d92b5ac8e5368c9ad7b9be5ecc56cb1  ../SOURCES/agedu-r8442.tar.gz.4
1d92b5ac8e5368c9ad7b9be5ecc56cb1  ../SOURCES/agedu-r8442.tar.gz.5


OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
Works on at least x86_64
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 



Regarding the source not matching, the above is a different md5sum:

[ke4qqq@nalleyt61 SOURCES]$ md5sum agedu-r8442.tar.gz*
b237e584844d30d7a8a815aae11e57c1  agedu-r8442.tar.gz
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.1
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.2
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.3
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.4
1d92b5ac8e5368c9ad7b9be5ecc56cb1  agedu-r8442.tar.gz.5
c41cb4fb26acc8691d047e7542dd9331  agedu-r8442.tar.gz.6
c41cb4fb26acc8691d047e7542dd9331  agedu-r8442.tar.gz.7

I downloaded source from the source url in the spec twice more and received different checksums. I also had someone else replicate my findings. and they were table to replicate the same md5sum problems. I almost wonder if that's a host issue on the machine that's serving them up, as tightly downloaded samples are all the same md5sum, but separated by a few hours or more and it becomes different.

Comment 5 Susi Lehtola 2009-05-29 14:45:53 UTC
Ugh.

I emailed the author about the issue, my guess is that the tarball is generated from SVN every N hours or so.

Of course I could switch to using an own tarball generated from upstream SVN, which would circumvent the problem, but I'd rather use the one straight from upstream.

Comment 6 Greg A 2009-05-29 14:56:34 UTC
(In reply to comment #3)
> I just compiled this today and tested.  It is very cool!  The only issue I've
> found so far is that using the --html option described in the man page causes a
> segmentation fault.  This option is something we'd like to use so that we can
> keep a historical record.  I've emailed the author to see if this is a known
> issue or not.  

This was user error.  When you create the index pointing to a specific directory you have to use the same directory when creating the html.

For example, I created an index at /cluster/scratch.  I then tried to run agedu with the --html flag thinking it was going to write the html to that directory.  Instead I had to run it with the --html flag pointed to /cluster/scratch.  When I did this it dumps the html to stdout.  I then ran again and redirected it to a file where I needed it stored.

Great program!  Two enhancements I'd love.
1).  Dump the entire HTML tree so that you don't loose the drill down capability you get with the interactive "-w" flag.
2).  Create an index that doesn't have to be removed every time you need updated data.  Something similar to the way rsync only updates necessary changes.  As it stands now recreating on a multi terabyte filesystem daily is very time consuming.

Thanks again to the author.  Please include this in future RHEL releases!

Comment 7 Susi Lehtola 2009-05-29 18:24:56 UTC
(In reply to comment #5)
> Ugh.
> 
> I emailed the author about the issue, my guess is that the tarball is generated
> from SVN every N hours or so.

Okay, got a reply from upstream:

On Fri, 2009-05-29 at 16:00 +0100, Simon Tatham wrote:
"Jussi Lehtola" <jussilehtola@fedoraproject.org> wrote:
> 
> > Is the tarball regenerated from svn by a cron job or whatnot?
> 
> Yes.

This explains the changing md5sum. Technically, the source matches upstream, even if the md5sum of the tarball changes every now and then. Can you approve the package now?

Comment 8 David Nalley 2009-05-29 18:31:56 UTC
worksforme 

Thanks for following up with upstream. 

APPROVED

Comment 9 Susi Lehtola 2009-05-29 18:40:28 UTC
Thanks for the review!


New Package CVS Request
=======================
Package Name: agedu
Short Description: An utility for tracking down wasted disk space
Owners: jussilehtola
Branches: EL-4 EL-5 F-10 F-11
InitialCC:

Comment 10 Jason Tibbitts 2009-05-31 20:11:26 UTC
CVS done.

Comment 11 Fedora Update System 2009-06-01 07:19:12 UTC
agedu-0-1.r8442.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/agedu-0-1.r8442.fc10

Comment 12 Fedora Update System 2009-06-01 07:19:47 UTC
agedu-0-1.r8442.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/agedu-0-1.r8442.fc11

Comment 13 Fedora Update System 2009-06-02 14:21:48 UTC
agedu-0-1.r8442.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update agedu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5743

Comment 14 Fedora Update System 2009-06-02 14:37:52 UTC
agedu-0-1.r8442.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update agedu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5812

Comment 15 Fedora Update System 2009-06-19 13:32:49 UTC
agedu-0-1.r8442.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-06-19 13:37:30 UTC
agedu-0-1.r8442.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.